import { geoNaturalEarth1, geoPath, geoGraticule } from 'd3';

const projection = geoNaturalEarth1();
const path = geoPath(projection);
const geograticule = geoGraticule();

export const Marks = ({ data: { land, interiors} }) => (
  <g class="marks">
    <path className="sphere" d={path({type: 'Sphere'})} />
     <path className="geograticule" d={path(geograticule())} />
    {land.features.map(feature => (
      <path className="land" d={path(feature)} />
    ))}
    <path className="interiors" d={path(interiors)} />
   
  </g>
);
